STOFFGraphicEncoder Class Reference documentation

Public Member Functions | Protected Attributes | List of all members
STOFFGraphicEncoder Class Referencefinal

main class used to define store librevenge::RVNGDrawingInterface lists of command in a librevenge::RVNGBinaryData. More...

`#include <STOFFGraphicEncoder.hxx>`

Inheritance diagram for STOFFGraphicEncoder:

## Public Member Functions
| STOFFGraphicEncoder ()
| constructor
| ~STOFFGraphicEncoder () final
| destructor
bool | getBinaryResult (STOFFEmbeddedObject &result)
| return the final graphic
void | startDocument (const ::librevenge::RVNGPropertyList &propList) final
void | endDocument () final
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList) final
void | setDocumentMetaData (const librevenge::RVNGPropertyList &propList) final
void | startPage (const ::librevenge::RVNGPropertyList &propList) final
void | endPage () final
void | startMasterPage (const ::librevenge::RVNGPropertyList &propList) final
void | endMasterPage () final
void | setStyle (const ::librevenge::RVNGPropertyList &propList) final
void | startLayer (const ::librevenge::RVNGPropertyList &propList) final
void | endLayer () final
void | startEmbeddedGraphics (const ::librevenge::RVNGPropertyList &propList) final
void | endEmbeddedGraphics () final
void | openGroup (const ::librevenge::RVNGPropertyList &propList) final
void | closeGroup () final
void | drawRectangle (const ::librevenge::RVNGPropertyList &propList) final
void | drawEllipse (const ::librevenge::RVNGPropertyList &propList) final
void | drawPolygon (const ::librevenge::RVNGPropertyList &vertices) final
void | drawPolyline (const ::librevenge::RVNGPropertyList &vertices) final
void | drawPath (const ::librevenge::RVNGPropertyList &path) final
void | drawConnector (const ::librevenge::RVNGPropertyList &propList) final
void | drawGraphicObject (const ::librevenge::RVNGPropertyList &propList) final
void | startTextObject (const ::librevenge::RVNGPropertyList &propList) final
void | endTextObject () final
void | startTableObject (const librevenge::RVNGPropertyList &propList) final
void | endTableObject () final
void | openTableRow (const librevenge::RVNGPropertyList &propList) final
void | closeTableRow () final
void | openTableCell (const librevenge::RVNGPropertyList &propList) final
void | closeTableCell () final
void | insertCoveredTableCell (const librevenge::RVNGPropertyList &propList) final
void | insertTab () final
void | insertSpace () final
void | insertText (const librevenge::RVNGString &text) final
void | insertLineBreak () final
void | insertField (const librevenge::RVNGPropertyList &propList) final
void | openLink (const librevenge::RVNGPropertyList &propList) final
void | closeLink () final
void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList) final
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList) final
void | closeOrderedListLevel () final
void | closeUnorderedListLevel () final
void | openListElement (const librevenge::RVNGPropertyList &propList) final
void | closeListElement () final
void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList) final
void | openParagraph (const librevenge::RVNGPropertyList &propList) final
void | closeParagraph () final
void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList) final
void | openSpan (const librevenge::RVNGPropertyList &propList) final
void | closeSpan () final

## Protected Attributes
std::shared_ptr< STOFFGraphicEncoderInternal::State > | m_state
| the actual state

## Detailed Description

main class used to define store librevenge::RVNGDrawingInterface lists of command in a librevenge::RVNGBinaryData.

See also
  STOFFGraphicDecoder can be used to decode back the pictures...

      \note as this class implements the functions librevenge::RVNGDrawingInterface,

  the documentation is not duplicated..

## Constructor & Destructor Documentation

## ◆ STOFFGraphicEncoder()

STOFFGraphicEncoder::STOFFGraphicEncoder | ( |  | ) |

constructor

## ◆ ~STOFFGraphicEncoder()

STOFFGraphicEncoder::~STOFFGraphicEncoder | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ closeGroup()

void STOFFGraphicEncoder::closeGroup | ( |  | ) |
| final

## ◆ closeLink()

void STOFFGraphicEncoder::closeLink | ( |  | ) |
| final

## ◆ closeListElement()

void STOFFGraphicEncoder::closeListElement | ( |  | ) |
| final

## ◆ closeOrderedListLevel()

void STOFFGraphicEncoder::closeOrderedListLevel | ( |  | ) |
| final

## ◆ closeParagraph()

void STOFFGraphicEncoder::closeParagraph | ( |  | ) |
| final

## ◆ closeSpan()

void STOFFGraphicEncoder::closeSpan | ( |  | ) |
| final

## ◆ closeTableCell()

void STOFFGraphicEncoder::closeTableCell | ( |  | ) |
| final

## ◆ closeTableRow()

void STOFFGraphicEncoder::closeTableRow | ( |  | ) |
| final

## ◆ closeUnorderedListLevel()

void STOFFGraphicEncoder::closeUnorderedListLevel | ( |  | ) |
| final

## ◆ defineCharacterStyle()

void STOFFGraphicEncoder::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ defineEmbeddedFont()

void STOFFGraphicEncoder::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ defineParagraphStyle()

void STOFFGraphicEncoder::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ drawConnector()

void STOFFGraphicEncoder::drawConnector | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ drawEllipse()

void STOFFGraphicEncoder::drawEllipse | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ drawGraphicObject()

void STOFFGraphicEncoder::drawGraphicObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ drawPath()

void STOFFGraphicEncoder::drawPath | ( | const ::librevenge::RVNGPropertyList & | path | ) |
| final

## ◆ drawPolygon()

void STOFFGraphicEncoder::drawPolygon | ( | const ::librevenge::RVNGPropertyList & | vertices | ) |
| final

## ◆ drawPolyline()

void STOFFGraphicEncoder::drawPolyline | ( | const ::librevenge::RVNGPropertyList & | vertices | ) |
| final

## ◆ drawRectangle()

void STOFFGraphicEncoder::drawRectangle | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ endDocument()

void STOFFGraphicEncoder::endDocument | ( |  | ) |
| final

## ◆ endEmbeddedGraphics()

void STOFFGraphicEncoder::endEmbeddedGraphics | ( |  | ) |
| final

## ◆ endLayer()

void STOFFGraphicEncoder::endLayer | ( |  | ) |
| final

## ◆ endMasterPage()

void STOFFGraphicEncoder::endMasterPage | ( |  | ) |
| final

## ◆ endPage()

void STOFFGraphicEncoder::endPage | ( |  | ) |
| final

## ◆ endTableObject()

void STOFFGraphicEncoder::endTableObject | ( |  | ) |
| final

## ◆ endTextObject()

void STOFFGraphicEncoder::endTextObject | ( |  | ) |
| final

## ◆ getBinaryResult()

bool STOFFGraphicEncoder::getBinaryResult | ( | STOFFEmbeddedObject & | result | ) |

return the final graphic

Referenced by StarFileManager::readOLEDirectory(), and StarObjectChart::send().

## ◆ insertCoveredTableCell()

void STOFFGraphicEncoder::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ insertField()

void STOFFGraphicEncoder::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ insertLineBreak()

void STOFFGraphicEncoder::insertLineBreak | ( |  | ) |
| final

## ◆ insertSpace()

void STOFFGraphicEncoder::insertSpace | ( |  | ) |
| final

## ◆ insertTab()

void STOFFGraphicEncoder::insertTab | ( |  | ) |
| final

## ◆ insertText()

void STOFFGraphicEncoder::insertText | ( | const librevenge::RVNGString & | text | ) |
| final

## ◆ openGroup()

void STOFFGraphicEncoder::openGroup | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openLink()

void STOFFGraphicEncoder::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openListElement()

void STOFFGraphicEncoder::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openOrderedListLevel()

void STOFFGraphicEncoder::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openParagraph()

void STOFFGraphicEncoder::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openSpan()

void STOFFGraphicEncoder::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openTableCell()

void STOFFGraphicEncoder::openTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openTableRow()

void STOFFGraphicEncoder::openTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openUnorderedListLevel()

void STOFFGraphicEncoder::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ setDocumentMetaData()

void STOFFGraphicEncoder::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ setStyle()

void STOFFGraphicEncoder::setStyle | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ startDocument()

void STOFFGraphicEncoder::startDocument | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ startEmbeddedGraphics()

void STOFFGraphicEncoder::startEmbeddedGraphics | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ startLayer()

void STOFFGraphicEncoder::startLayer | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ startMasterPage()

void STOFFGraphicEncoder::startMasterPage | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ startPage()

void STOFFGraphicEncoder::startPage | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ startTableObject()

void STOFFGraphicEncoder::startTableObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ startTextObject()

void STOFFGraphicEncoder::startTextObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |
| final

## Member Data Documentation

## ◆ m_state

std::shared_ptr<STOFFGraphicEncoderInternal::State> STOFFGraphicEncoder::m_state
| protected

the actual state

Referenced by closeGroup(), closeLink(), closeListElement(), closeOrderedListLevel(), closeParagraph(), closeSpan(), closeTableCell(), closeTableRow(), closeUnorderedListLevel(), defineCharacterStyle(), defineEmbeddedFont(), defineParagraphStyle(), drawConnector(), drawEllipse(), drawGraphicObject(), drawPath(), drawPolygon(), drawPolyline(), drawRectangle(), endDocument(), endEmbeddedGraphics(), endLayer(), endMasterPage(), endPage(), endTableObject(), endTextObject(), getBinaryResult(), insertCoveredTableCell(), insertField(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openGroup(), openLink(), openListElement(), openOrderedListLevel(), openParagraph(), openSpan(), openTableCell(), openTableRow(), openUnorderedListLevel(), setDocumentMetaData(), setStyle(), startDocument(), startEmbeddedGraphics(), startLayer(), startMasterPage(), startPage(), startTableObject(), and startTextObject().

The documentation for this class was generated from the following files:

- STOFFGraphicEncoder.hxx
- STOFFGraphicEncoder.cxx